<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_gravity="bottom"
    app:cardBackgroundColor="@color/background_white"
    app:cardCornerRadius="12dp"
    app:cardElevation="0dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="match_parent"
            android:layout_height="98dp"
            android:background="@drawable/vspace_dialog_top_background"
            android:gravity="center"
            android:text="安装谷歌框架说明"
            android:textColor="@color/text_title"
            android:textSize="@dimen/large_title_text_size"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/successIv"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:src="@drawable/ic_gapps_install_success"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/titleTv" />

        <TextView
            android:id="@+id/descTv1"
            android:layout_width="280dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="40dp"
            android:layout_marginEnd="40dp"
            android:includeFontPadding="false"
            android:lineSpacingExtra="1.8dp"
            android:textAlignment="center"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="@dimen/primary_text_size"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/titleTv"
            app:layout_goneMarginTop="16dp"
            tools:text="游戏需要安装 谷歌框架 后才能稳定运行，为了您的游戏体验，请先安装！" />

        <TextView
            android:id="@+id/descTv2"
            android:layout_width="280dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="40dp"
            android:layout_marginTop="24dp"
            android:layout_marginEnd="40dp"
            android:includeFontPadding="false"
            android:lineSpacingExtra="1.8dp"
            android:textAlignment="center"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="@dimen/primary_text_size"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/successIv"
            app:layout_goneMarginTop="60dp"
            tools:text="下载过程中请勿退出光环助手，以免影响下载进度，若存在问题请反馈至客服，我们将及时解决" />

        <TextView
            android:id="@+id/cancelTv"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:background="@drawable/bg_shape_f5_radius_999"
            android:gravity="center"
            android:text="暂不安装"
            android:textColor="@color/text_subtitle"
            android:textSize="@dimen/primary_text_size"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/downloadButton"
            app:layout_constraintEnd_toStartOf="@id/downloadButton"
            app:layout_constraintStart_toStartOf="@id/descTv2"
            app:layout_constraintTop_toTopOf="@id/downloadButton" />

        <com.gh.gamecenter.feature.view.DownloadButton
            android:id="@+id/downloadButton"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_marginStart="12dp"
            android:layout_marginTop="20dp"
            android:layout_marginBottom="40dp"
            android:gravity="center"
            app:download_button_text_size="@dimen/primary_text_size"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@id/descTv2"
            app:layout_constraintStart_toEndOf="@id/cancelTv"
            app:layout_constraintTop_toBottomOf="@id/descTv2"
            app:layout_goneMarginStart="0dp" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.cardview.widget.CardView>